
Redmine - Feature #14470

Standard implementation of redmine 'stealth mode'

2013-07-16 18:48 - Riccardo Rocca

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Possibility (at user profile level) to toggle on/off sending email, like in plugin redmine_stealth (which actually doesn't work in e.g.

2.3.0) version

Related issues:

Is duplicate of Redmine - Feature #9068: New button : "Submit modification wi... New 2011-08-16

History

#1 - 2013-09-19 09:18 - Francesco V

-1

#2 - 2013-09-19 17:52 - Riccardo Rocca

Just upgraded Redmine to 2.3.3 and the plugin redmine_stealth 'magically' works again!

Anyway I think this feature should be incorporated in Redmine project because it's really useful!

#3 - 2013-12-30 11:02 - Radosław Lejek

Actually it doesn't work again in redmine 2.4.2 with error on start:

plugins/redmine_stealth/init.rb:24:in `join': can't convert nil into String (TypeError)

 Shame, it's the best plugin there is.

#4 - 2014-01-06 18:02 - Maik Lindner

+1

same here, plugin doesn't work with 2.4.2

can't convert nil into String

/usr/share/redmine/plugins/redmine_stealth/init.rb:24:in `join'

#5 - 2014-01-07 11:31 - Maik Lindner

redmine_stealth plugin will work with 2.4.2 if you edit init.rb (from line 23):

#  plugin_locale_glob = respond_to?(:directory) ?

#    File.join(directory, 'config', 'locales', '*.yml') :

    File.join(Rails.root, 'vendor', 'plugins',

              'redmine_stealth', 'config', 'locales', '*.yml')

#  ::I18n.load_path += Dir.glob(plugin_locale_glob)

#6 - 2015-07-13 10:55 - Carsten Buchenau

That modification works with Redmine 2.6.5 as well.

Saved my day - thanks Maik!

#7 - 2017-02-23 07:22 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate
Duplicate of #9068.

#8 - 2017-02-23 07:23 - Toshi MARUYAMA

- Is duplicate of Feature #9068: New button : "Submit modification without notification" added
